﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProductVersion>8.0.30703</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{D3D0017C-61F2-491A-B7BB-0239121222E2}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>CPLaserAreaScanner</RootNamespace>
    <AssemblyName>CPLaserAreaScanner</AssemblyName>
    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>..\..\_Exe\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="CGetPositionY.cs" />
    <Compile Include="CGetStateLaserAreaScanner.cs" />
    <Compile Include="CAbortMatrixLaser.cs" />
    <Compile Include="CAbortVariableLaser.cs" />
    <Compile Include="CStartVariableLaser.cs" />
    <Compile Include="CPulseVariableLaser.cs" />
    <Compile Include="CSetPositionY.cs" />
    <Compile Include="CSetLedLaserOff.cs" />
    <Compile Include="CEmergencyStop.cs" />
    <Compile Include="CGetHardwareVersion.cs" />
    <Compile Include="CGetHelp.cs" />
    <Compile Include="CGetStateLedLaser.cs" />
    <Compile Include="CGetProgramHeader.cs" />
    <Compile Include="CGetSoftwareVersion.cs" />
    <Compile Include="CGetPositionX.cs" />
    <Compile Include="CPulsePositionLaser.cs" />
    <Compile Include="CSetDelayPulse.cs" />
    <Compile Include="CSetDelayMotion.cs" />
    <Compile Include="CSetMotionParameterY.cs" />
    <Compile Include="CSetMotionParameterX.cs" />
    <Compile Include="CSetPositionX.cs" />
    <Compile Include="CPulseLedLaser.cs" />
    <Compile Include="CSetLedLaserOn.cs" />
    <Compile Include="CStartMatrixLaser.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\CommandProtocol\CommandProtocol.csproj">
      <Project>{CDA1E8D6-27A8-4246-9736-71DBED05ECE8}</Project>
      <Name>CommandProtocol %28CommandProtocol\CommandProtocol%29</Name>
    </ProjectReference>
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>